QcType (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509.qualified

## Class QcType

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.qualified.QcType

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class QcType
      extends ASN1Object

  The QcType statementInfo defined by ETSI EN 319 412-5 sec. 4.2.3, used inside a QCStatement whose statementId is `ETSIQCObjectIdentifiers.id_etsi_qcs_QcType`.

       QcType ::= SEQUENCE OF OBJECT IDENTIFIER

  The OIDs are drawn from `ETSIQCObjectIdentifiers.id_etsi_qct_esign`, `ETSIQCObjectIdentifiers.id_etsi_qct_eseal` and `ETSIQCObjectIdentifiers.id_etsi_qct_web`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QcType(ASN1ObjectIdentifier type)`
    `QcType(ASN1ObjectIdentifier[] types)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QcType` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier[]` | `getTypes()`
    `boolean` | `hasType(ASN1ObjectIdentifier type)` Return true if the supplied QcType OID is one of the declared types.
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QcType

          public QcType(ASN1ObjectIdentifier type)

    - #### QcType

          public QcType(ASN1ObjectIdentifier[] types)

  - ### Method Detail

    - #### getInstance

          public static QcType getInstance(java.lang.Object obj)

    - #### getTypes

          public ASN1ObjectIdentifier[] getTypes()

    - #### hasType

          public boolean hasType(ASN1ObjectIdentifier type)

      Return true if the supplied QcType OID is one of the declared types.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.